jif.visit

## Class JifTranslator

- java.lang.Object
- - polyglot.visit.PrettyPrinter
  - - polyglot.visit.Translator
    - - polyglot.visit.TypedTranslator
      - - jif.visit.JifTranslator

- All Implemented Interfaces:
    java.lang.Cloneable, polyglot.util.Copy<polyglot.visit.Translator>

      public class JifTranslator
      extends polyglot.visit.TypedTranslator

  The Jif translator is used to generate Java files from the current ASTs.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface polyglot.util.Copy

      `polyglot.util.Copy.Util`

  - ### Field Summary

    - ### Fields inherited from class polyglot.visit.Translator

      `context, job, nf, tf, ts`

    - ### Fields inherited from class polyglot.visit.PrettyPrinter

      `appendSemicolon, printType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JifTranslator(polyglot.frontend.Job job, polyglot.types.TypeSystem ts, polyglot.ast.NodeFactory nf, polyglot.frontend.TargetFactory tf)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `translateSource(polyglot.ast.SourceFile sfn)`

    - ### Methods inherited from class polyglot.visit.TypedTranslator

      `print`

    - ### Methods inherited from class polyglot.visit.Translator

      `context, context, copy, filenames, job, nodeFactory, toString, translate, translateTopLevelDecl, typeSystem, writeHeader`

    - ### Methods inherited from class polyglot.visit.PrettyPrinter

      `appendSemicolon, appendSemicolon, lang, printAst, printType, printType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### JifTranslator

          public JifTranslator(polyglot.frontend.Job job,
                               polyglot.types.TypeSystem ts,
                               polyglot.ast.NodeFactory nf,
                               polyglot.frontend.TargetFactory tf)

  - ### Method Detail

    - #### translateSource

          protected boolean translateSource(polyglot.ast.SourceFile sfn)

      Overrides:
        `translateSource` in class `polyglot.visit.Translator`